// pins for multiplexer
#define SDATA1 3
#define RCK1 2
#define SCK1 6
#define SCLR1 7

// pin for trigger output
#define triggerPin 52

#define PS22Ven 4  // pin for power supply

// for DAC
#define DACen 30  // chip select for dac

// pins for selecting waveform source (internal DAQ/
#define WfmSrcSel0A0 31
#define WfmSrcSel0A1 32
#define WfmSrcSel0A2 33
#define WfmSrcSel1A0 34
#define WfmSrcSel1A1 35
#define WfmSrcSel1A2 36
#define WfmSrcSelArdLtch 44 // Arduino latch for wfm source select multiplexer  
#define WfmSrcSelLtchSel 47 // control latch source for wfm source select multiplexer low=from DDS-MSB, HIGH=from Aduino 44

// for DDS
#define DDSEnable 53 //dcb 130720
#define DDS0Fsync 39 // DDDS0 chip select active low
#define DDS1Fsync 40 // DDDS1 chip select active low
#define DDSsourceReset 44 // active high (not used)
#define DDSSleep 41 // active high
#define DDSPhaseSel 42
#define DDSFreqSel 43
#define DDSphaseReset 45
String commandstringDDS0;
String commandstringDDS1;
#define DDS0MSB 17
#define DDS1MSB 16


// for current scaling
#define MDAC0CS 37
#define MDAC1CS 38

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(28, 26, 25, 24, 23, 22);
LiquidCrystal lcd2(28, 27,  25, 24, 23, 22);

enum stimulationstate {RUN, SAFE, DEBUG};
